this.author      = "QCS"; 
this.copyright   = "� 2015 QCS."; 
this.licence = "CC-BY-SA 4.0";
this.version     = "0.1.1"; 
this.name           = "QTHI Auxiliary Generators Equipment";
this.author         = "QCS";
this.copyright      = "(C) 2015 QCS.";
this.licence        = "CC-NC-by-SA 4.0";
this.description    = "Equipment script for the Generator (Priming/Activation).";
this.version        = "0.1.1";

this.activated = function ()
{
  var genScript = worldScripts["QTHI Auxiliary Generators"];
  
  if (!genScript.isGeneratorEnabled)
  {
    genScript.isGeneratorEnabled = false;
  }
  
  genScript.isGeneratorEnabled = !genScript.isGeneratorEnabled;
  if (genScript.isGeneratorEnabled === false)
  {
     player.consoleMessage("Auxiliary Energy Generator disabled",6);
     if (genScript.auxGeneratorKey === "EQ_QTHI_AuxEnergyGeneratorLt")
     {
       player.consoleMessage("Witchspace engine enabled",6);
     }
  }
  else
  {
     player.consoleMessage("Auxiliary Energy Generator enabled",6);
     if (genScript.auxGeneratorKey === "EQ_QTHI_AuxEnergyGeneratorLt")
     {
       player.consoleMessage("Witchspace engine disabled",6);
     }
  } 
}

this.mode = function ()
{
  var genScript = worldScripts["QTHI Auxiliary Generators"];
  
  if (!genScript.kickInRatio)
  {
    genScript.kickInRatio = 0.2;
  }
  
  genScript.kickInRatio = genScript.kickInRatio + 0.2;

  if (genScript.kickInRatio > 1.0)
  {
    genScript.kickInRatio = 0.2;
  }

  player.consoleMessage("Auxiliary Energy Generator kicks in below " + Math.floor(genScript.kickInRatio * 100) + "% energy level",6);
}
